Description

Hi,

QGIS 1.80 crashes on exit, every time, no fail.  I used the OSGEO4 installer to add the program to Windows XP pro 32 bit.  Never

happened on previous versions of QGIS.

It also crashes randomly while using the georeferencer or the print composer, for no apparent reason.  Obviously when it does this I loose

any data since my last save, but on one occasion I lost a whole QGIS project and was getting "unexpected end of file at line 0" errors

when I tried to open it.  Of course I had a backup, but it is still annoying.  Have tried re-installing QGIS but no improvement.  I cannot see

that anyone else has reported the same issue.

Hope you can fix soon,

Regards,

David

History

#1 - 2012-10-15 07:02 AM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

- Target version set to Version 2.0.0

Hi,

A blocker issue is a regression from previous qgis releases. Before tagging it as blocker we must be sure isn't a local issue.

Do you have the same issue on another machines?

Can you please try running qgis without plugins (using the -noplugins option)?

Can you share a sample project/data that in your case are causing the issue in a replicable way?

Thanks

#2 - 2012-10-16 02:52 PM - David Etheridge
OK, I have not been able to try this on another machine, could not find a 'no plugins' option (where is it?), but I gradually disabled plugins one by one until

QGIS stopped crashing on exit.  Which is why it has taken so long to get back to you, I need to be working, not bug testing.

As far as I can establish the problem is not project specific, i.e. it occurs in all my current projects.

I am not at all sure, because QGIS seems to need to be shut down, started up and shut down at least once before it properly registers the

installation/de-installation of a plugin, but the problem may be with a plugin called 'OfflineEditing'.  Though it is listed in the plugin manager, I cannot find it

listed in the python installer.  I do not know what it does, who designed it, have never to my knowledge used it and do not remember installing it.  It is

currently disabled and QGIS appears to be working without it and does not crash on exit.  It is too early to say whether this has also cured the random

crashes that occurred during georeferencing and printing.

I hope that helps

#3 - 2012-12-30 09:32 AM - Giovanni Manghi

- Category set to C++ Plugins

David Etheridge wrote:

OK, I have not been able to try this on another machine, could not find a 'no plugins' option (where is it?), but I gradually disabled plugins one by one

until QGIS stopped crashing on exit.  Which is why it has taken so long to get back to you, I need to be working, not bug testing.

As far as I can establish the problem is not project specific, i.e. it occurs in all my current projects.

I am not at all sure, because QGIS seems to need to be shut down, started up and shut down at least once before it properly registers the

installation/de-installation of a plugin, but the problem may be with a plugin called 'OfflineEditing'.  Though it is listed in the plugin manager, I cannot

find it listed in the python installer.  I do not know what it does, who designed it, have never to my knowledge used it and do not remember installing

it.  It is currently disabled and QGIS appears to be working without it and does not crash on exit.  It is too early to say whether this has also cured the

random crashes that occurred during georeferencing and printing.

I hope that helps

letting the "off line editing" tool disabled has avoided get the crashes?

By the way: you can't uninstall that tool because is a core plugin and is not python.

#4 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#5 - 2012-12-30 01:52 PM - David Etheridge

Correct, disabling 'off-line editing' has prevented QGIS crashing on exit.

QGIS continues to crash randomly in georeferencing and printing.

Is there any way to retrieve error code from a crash I can feed back to you guys?

#6 - 2012-12-31 11:48 PM - Giovanni Manghi

- Resolution set to worksforme

2025-04-27 2/3



- Status changed from Feedback to Closed

Is there any way to retrieve error code from a crash I can feed back to you guys?

If you use linux just launch qgis from the command line and then copy/paste the error messages after qgis crashed.

But the best thing you can do is to provide a sample project/sample data and the precise steps that lead to replicate your issues.

Then all the issues (printing, georeferencing, etc) would need separate tickets, but please if you will file them add the exact steps/conditions/data to

replicate the issue.

You would like also to try qgis on other machines before filing a ticket, to try understand if is a local issue.
